#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		winepedir	x86_64-windows
%global		winesodir	x86_64-unix
#-----------------------------------------------------------------------------
Name		:	wine
Version		:	7.2
Release		:	16.2.1.rel%{?dist}
Summary		:	A compatibility layer for windows applications

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://dl.winehq.org/wine/source/

Source0		:	%{name}-%{version}.tar.xz
#-----------------------------------------------------------------------------
BuildRequires	:	alsa-lib
BuildRequires	:	bison
BuildRequires	:	dbus-devel
Buildrequires	:	desktop-file-utils
BuildRequires	:	flex
BuildRequires	:	freetype-devel
BuildRequires	:	gcc
BuildRequires	:	libpcap
BuildRequires	:	pulseaudio
BuildRequires	:	sane-backends-devel
BuildRequires	:	xsane

Requires	:	%{name}-fonts	= %{version}-%{release}
Requires	:	%{name}-common	= %{version}-%{release}
Requires	:	%{name}-core	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description
Wine as a compatibility layer for UNIX to run Windows
applications. This package includes a program loader,
which allows unmodified Windows 3.x/9x/NT binaries to
run on x86 and x86_64 Unixes. Wine can use native system
.dll files if they are available.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_libdir}/%{name}/%{_arch}-unix/*.so
%{_datadir}/applications/%{name}.desktop

#=============================================================================
%package		core
Summary		:	Wine core package

#-----------------------------------------------------------------------------
Requires	:	%{name}-filesystem	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		core
Wine core package includes the basic %{name} stuff needed
by all other packages.
 

#-----------------------------------------------------------------------------
%files			core
%defattr(-,root,root,-)
%doc AUTHORS README VERSION
%license COPYING.LIB
%{_bindir}/msidb
%{_bindir}/%{name}64
%{_bindir}/%{name}64-preloader
%{_bindir}/%{name}server
%{_libdir}/%{name}/%{winepedir}/*.acm
%{_libdir}/%{name}/%{winepedir}/*.cpl
%{_libdir}/%{name}/%{winepedir}/*.dll
%{_libdir}/%{name}/%{winepedir}/*.exe
%{_libdir}/%{name}/%{winepedir}/*.sys
%{_libdir}/%{name}/%{winepedir}/chcp.com
%{_libdir}/%{name}/%{winesodir}/activeds.tlb.so
%{_libdir}/%{name}/%{winesodir}/appwiz.cpl.so
%{_libdir}/%{name}/%{winesodir}/bcrypt.so
%{_libdir}/%{name}/%{winesodir}/bthprops.cpl.so
%{_libdir}/%{name}/%{winesodir}/chcp.com.so
%{_libdir}/%{name}/%{winesodir}/crypt32.so
%{_libdir}/%{name}/%{winesodir}/dhtmled.ocx.so
%{_libdir}/%{name}/%{winesodir}/dnsapi.so
%{_libdir}/%{name}/%{winesodir}/dwrite.so
%{_libdir}/%{name}/%{winesodir}/fltmgr.sys.so
%{_libdir}/%{name}/%{winesodir}/hhctrl.ocx.so
%{_libdir}/%{name}/%{winesodir}/hidclass.sys.so
%{_libdir}/%{name}/%{winesodir}/http.sys.so
%{_libdir}/%{name}/%{winesodir}/imaadp32.acm.so
%{_libdir}/%{name}/%{winesodir}/inetcpl.cpl.so
%{_libdir}/%{name}/%{winesodir}/irprops.cpl.so
%{_libdir}/%{name}/%{winesodir}/joy.cpl.so
%{_libdir}/%{name}/%{winesodir}/kerberos.so
%{_libdir}/%{name}/%{winesodir}/ksecdd.sys.so
%{_libdir}/%{name}/%{winesodir}/ksproxy.ax.so
%{_libdir}/%{name}/%{winesodir}/libwine.so.1
%{_libdir}/%{name}/%{winesodir}/libwine.so.1.0
%{_libdir}/%{name}/%{winesodir}/light.msstyles.so
%{_libdir}/%{name}/%{winesodir}/mountmgr.sys.so
%{_libdir}/%{name}/%{winesodir}/msacm32.drv.so
%{_libdir}/%{name}/%{winesodir}/msadp32.acm.so
%{_libdir}/%{name}/%{winesodir}/msg711.acm.so
%{_libdir}/%{name}/%{winesodir}/msgsm32.acm.so
%{_libdir}/%{name}/%{winesodir}/mshtml.tlb.so
%{_libdir}/%{name}/%{winesodir}/msisys.ocx.so
%{_libdir}/%{name}/%{winesodir}/msscript.ocx.so
%{_libdir}/%{name}/%{winesodir}/msv1_0.so
%{_libdir}/%{name}/%{winesodir}/ndis.sys.so
%{_libdir}/%{name}/%{winesodir}/netapi32.so
%{_libdir}/%{name}/%{winesodir}/netio.sys.so
%{_libdir}/%{name}/%{winesodir}/nsiproxy.sys.so
%{_libdir}/%{name}/%{winesodir}/ntdll.so
%{_libdir}/%{name}/%{winesodir}/odbc32.so
%{_libdir}/%{name}/%{winesodir}/qcap.so
%{_libdir}/%{name}/%{winesodir}/sane.ds.so
%{_libdir}/%{name}/%{winesodir}/scsiport.sys.so
%{_libdir}/%{name}/%{winesodir}/secur32.so
%{_libdir}/%{name}/%{winesodir}/stdole2.tlb.so
%{_libdir}/%{name}/%{winesodir}/stdole32.tlb.so
%{_libdir}/%{name}/%{winesodir}/tdi.sys.so
%{_libdir}/%{name}/%{winesodir}/usbd.sys.so
%{_libdir}/%{name}/%{winesodir}/winealsa.drv.so
%{_libdir}/%{name}/%{winesodir}/winebus.sys.so
%{_libdir}/%{name}/%{winesodir}/winegstreamer.so
%{_libdir}/%{name}/%{winesodir}/winehid.sys.so
%{_libdir}/%{name}/%{winesodir}/wineps.drv.so
%{_libdir}/%{name}/%{winesodir}/winepulse.drv.so
%{_libdir}/%{name}/%{winesodir}/winepulse.so
%{_libdir}/%{name}/%{winesodir}/wineusb.sys.so
%{_libdir}/%{name}/%{winesodir}/winevulkan.so
%{_libdir}/%{name}/%{winesodir}/winex11.drv.so
%{_libdir}/%{name}/%{winesodir}/winspool.drv.so
%{_libdir}/%{name}/%{winesodir}/wldap32.so
%{_libdir}/%{name}/%{winesodir}/wpcap.so
%{_libdir}/%{name}/%{winesodir}/wshom.ocx.so
%{_libdir}/%{name}/%{winepedir}/activeds.tlb
%{_libdir}/%{name}/%{winepedir}/dhtmled.ocx
%{_libdir}/%{name}/%{winepedir}/hhctrl.ocx
%{_libdir}/%{name}/%{winepedir}/ksproxy.ax
%{_libdir}/%{name}/%{winepedir}/light.msstyles
%{_libdir}/%{name}/%{winepedir}/msacm32.drv
%{_libdir}/%{name}/%{winepedir}/mshtml.tlb
%{_libdir}/%{name}/%{winepedir}/msisys.ocx
%{_libdir}/%{name}/%{winepedir}/msscript.ocx
%{_libdir}/%{name}/%{winepedir}/sane.ds
%{_libdir}/%{name}/%{winepedir}/stdole2.tlb
%{_libdir}/%{name}/%{winepedir}/stdole32.tlb
%{_libdir}/%{name}/%{winepedir}/winealsa.drv
%{_libdir}/%{name}/%{winepedir}/wineps.drv
%{_libdir}/%{name}/%{winepedir}/winepulse.drv
%{_libdir}/%{name}/%{winepedir}/winex11.drv
%{_libdir}/%{name}/%{winepedir}/winspool.drv
%{_libdir}/%{name}/%{winepedir}/wshom.ocx

#=============================================================================
%package		common
Summary		:	Wine common files

Requires	:	%{name}-core	= %{version}-%{release}

%description		common
Common %{name} files and scripts.

#-----------------------------------------------------------------------------
%files			common
%defattr(-,root,root,-)
%{_bindir}/msiexec
%{_bindir}/notepad
%{_bindir}/regedit
%{_bindir}/regsvr32
%{_bindir}/%{name}dbg
%{_bindir}/%{name}file
%{_bindir}/%{name}mine
%{_bindir}/%{name}maker
%{_bindir}/%{name}path
%{_bindir}/%{name}boot
%{_bindir}/%{name}console
%{_bindir}/%{name}cfg
%{_mandir}/man1/msiexec.1.gz
%{_mandir}/man1/notepad.1.gz
%{_mandir}/man1/regedit.1.gz
%{_mandir}/man1/regsvr32.1.gz
%{_mandir}/man1/%{name}dbg.1.gz
%{_mandir}/man1/%{name}boot.1.gz
%{_mandir}/man1/%{name}cfg.1.gz
%{_mandir}/man1/%{name}console.1.gz
%{_mandir}/man1/%{name}file.1.gz
%{_mandir}/man1/%{name}mine.1.gz
%{_mandir}/man1/%{name}path.1.gz
%{_mandir}/man1/%{name}server.1.gz
%{_mandir}/de.UTF-8/man1/%{name}server.1.gz
%{_mandir}/fr.UTF-8/man1/%{name}server.1.gz

#=============================================================================
%package		devel
Summary		:	Wine development environment

Requires	:	%{name}-core	= %{version}-%{release}

%description		devel
Header, include files and library definition files for
developing applications with the Wine Windows(TM)
emulation libraries.  

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/*.h
%{_includedir}/%{name}/svcctl.idl
%{_includedir}/%{name}/itss.idl
%{_includedir}/%{name}/msvcrt/*.h
%{_includedir}/%{name}/msvcrt/sys/*.h
%{_includedir}/%{name}/windows/*.{h,idl}
%{_includedir}/%{name}/windows/*.{rh,inl}
%{_includedir}/%{name}/windows/rmxftmpl.x
%{_includedir}/%{name}/windows/ddk/*.h
%{_bindir}/function_grep.pl
%{_bindir}/widl
%{_bindir}/%{name}build
%{_bindir}/%{name}cpp
%{_bindir}/%{name}dump
%{_bindir}/%{name}g++
%{_bindir}/%{name}gcc
%{_bindir}/%{name}maker
%{_bindir}/wmc
%{_bindir}/wrc
%{_mandir}/man1/widl.1.gz
%{_mandir}/man1/%{name}build.1.gz
%{_mandir}/man1/%{name}cpp.1.gz
%{_mandir}/man1/%{name}dump.1.gz
%{_mandir}/man1/%{name}gcc.1.gz
%{_mandir}/man1/%{name}maker.1.gz
%{_mandir}/man1/wmc.1.gz
%{_mandir}/man1/wrc.1.gz
%{_mandir}/man1/%{name}dbg.1.gz
%{_mandir}/man1/%{name}g++.1.gz
%lang(de) %{_mandir}/de.UTF-8/man1/%{name}maker.1.gz
%lang(fr) %{_mandir}/fr.UTF-8/man1/%{name}maker.1.gz

#=============================================================================
%package		filesystem
Summary		:	Filesystem directories for %{name}


BuildArch	:	noarch
#-----------------------------------------------------------------------------
#-----------------------------------------------------------------------------
%description		filesystem
Filesystem directories and basic configuration for %{name}.

#-----------------------------------------------------------------------------
%files			filesystem
%defattr(-,root,root,-)
%doc COPYING.LIB
%{_datadir}/%{name}/nls/*.nls
%{_datadir}/%{name}/%{name}.inf


#=============================================================================
%package		fonts
Summary		:	Wine font files

Requires	:	%{name} = %{version}-%{release}

%description		fonts
%{summary}

#-----------------------------------------------------------------------------
%files			fonts
%defattr(-,root,root,-)
%{_datadir}/%{name}/fonts/*.{fon,ttf}


#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build
export CFLAGS="`echo $RPM_OPT_FLAGS | sed -e 's/-Wp,-D_FORTIFY_SOURCE=2//'` -Wno-error"
./configure						\
        --prefix=%{_prefix}				\
	--sysconfdir=%{_sysconfdir}/%{name}		\
        --includedir=%{_includedir}/			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
        --x-includes=%{_includedir}			\
        --x-libraries=%{_libdir}			\
	--without-hal					\
	--with-dbus					\
	--with-x					\
	--disable-win16					\
	--enable-win64					\
	--disable-tests					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}
%{__make}						\
	DESTDIR=%{buildroot}				\
	install

desktop-file-install   					\
	--delete-original				\
	--dir %{buildroot}%{_datadir}/applications 	\
	%{buildroot}%{_datadir}/applications/*.desktop 


#To remove static library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.a					\
	-delete

#=============================================================================
%changelog
